PORT-LOAD(1)

NAME
port-load, port-unload, port-reload - Control daemons installed by a port

SYNOPSIS

port [-d] [-D portdir] [load | unload | reload]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

These commands control the daemons that are installed by some of the ports. If a port provides daemon functionality, a note will be printed during installation advising you how to use it.

The daemon functionality is provided by installing a launchd(8) configuration file (see launchd.conf(5)) and calling launchctl(1) on your behalf. port load advises launchd to start the daemon defined by a port’s configuration file, also called a “startup item”. Once loaded, launchd will preserve this state - even across reboots - until the daemon is unloaded using port unload. If you want to restart a daemon, you can use port reload, which is a convenience wrapper around port unload followed by a short delay and port load.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), launchd(8), launchd.conf(5), launchctl(1)

AUTHORS

    (C) 2014 The MacPorts Project
    Clemens Lang <cal@macports.org>